oracle.xml.xsql

## Interface XSQLConnectionManager

All Known Implementing Classes:
  XSQLDatasourceConnectionManager

    public interface XSQLConnectionManager

One of two interfaces that must be implemented to override the built-in connection manager implementation. The XSQL Page Processor asks the XSQLConnectionManagerFactory associated with each request to create() an instance of an XSQLConnectionManager to service the current request.

In multithreaded environments, the implementation of XSQLConnectionManager must insure that an XSQLConnection instance returned by getConnection() is not used by another thread until it has been released by the XSQL Page Processor after the call to releaseConnection().

### Method Summary

All Methods Instance Methods Abstract Methods
`XSQLConnection` `getConnection(java.lang.String connName, XSQLPageRequest env)`
`void` `releaseConnection(XSQLConnection theConn, XSQLPageRequest env)`

### Method Detail

#### getConnection

    XSQLConnection getConnection(java.lang.String connName,
                                 XSQLPageRequest env)
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### releaseConnection

    void releaseConnection(XSQLConnection theConn,
                           XSQLPageRequest env)

Copyright © 2003, 2020, Oracle and/or its affiliates.